import os
import csv
import time
import datetime


import arcpy


# Author J.Connolly USEPA

# Description: Confirms all files are in the geographic coordinate system NAD 83

# This script has been approved for release by the U.S. Environmental Protection Agency (USEPA). Although
# the script has been subjected to rigorous review, the USEPA reserves the right to update the script as needed
# pursuant to further analysis and review. No warranty, expressed or implied, is made by the USEPA or the U.S.
# Government as to the functionality of the script and related material nor shall the fact of release constitute
# any such warranty. Furthermore, the script is released on condition that neither the USEPA nor the U.S. Government
# shall be held liable for any damages resulting from its authorized or unauthorized use.

# Generalized CH or Range files to be used as generated the composite input files for overlap- generalized or non
infolder = 'path\Range'


def fcs_in_workspace(workspace):
    arcpy.env.workspace = workspace
    for fc in arcpy.ListFeatureClasses():
        yield (fc)
    for ws in arcpy.ListWorkspaces():
        for fc in fcs_in_workspace(ws):
            yield (fc)
# #####################################################################################################################
##############################################################################################################


start_script = datetime.datetime.now()
print "Script started at {0}".format(start_script)
# Prints Elapse clock
prj_list = []

for fc in fcs_in_workspace(infolder):

    # set local variables
    ORGdsc = arcpy.Describe(fc)
    ORGsr = ORGdsc.spatialReference
    ORGprj = ORGsr.name.lower()
    if ORGprj not in prj_list:
        prj_list.append(ORGprj)
        print "{0}  {1}".format(fc, ORGsr.name)
    else:
        pass
